%define	upstream_name	 Array-RefElem
%define	upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary: 	Direct access to the internal perl routines for arrays & hashes
License: 	GPL
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel



%description
This module gives direct access to the internal perl routines that let
you store reference to things in arrays and hashes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Array
%{perl_vendorarch}/auto/Array

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-15.mga3
+ Revision: 363167
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-14.mga3
+ Revision: 250268
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 1.0.0-13.mga2
+ Revision: 103451
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-12.mga1
+ Revision: 32721
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.0.0-11.mga1
+ Revision: 29790
- mageia rebuild
- imported package perl-Array-RefElem

